Home | All Classes | Grouped Classes | Index | Search

# Class CL_NetPacket

Net packet class. More...

Derived from: none
Derived by: none
Group: Network (NetSessions)

#include <ClanLib/network.h>

Construction:

CL_NetPacket | Constructs a packet.

Attributes:

get_data | Returns a pointer to netpacket data.
get_size | Return size of netpacket data.
input | Input source interface for netpacket.
output | Output source interface for netpacket.

Operations:

resize | Resize data. Does not destroy the old data in the packet.
operator = |

Detailed description:

!group=Network/NetSessions! !header=network.h!
Questions or comments, write to the ClanLib mailing list.